Orphan cleanup tool: Need to be able to list jobs
Description

There needs to be a way to list open orphan finding jobs.
It can just be a thin wrapper around listing omapkeys of the 'orphan.index' object in the log pool.

1. rados -p default.rgw.log listomapkeys orphan.index

History

#1 - 04/26/2016 12:59 PM - Abhishek Lekshmanan
- Status changed from New to In Progress

- Assignee set to Abhishek Lekshmanan

Master PR: https://github.com/ceph/ceph/pull/8760

#2 - 07/13/2016 02:01 PM - Abhishek Lekshmanan

- Status changed from In Progress to Fix Under Review

Not sure whether this qualifies for a backport.. @Orit/@Yehuda what do you think?

#3 - 07/13/2016 02:01 PM - Abhishek Lekshmanan

- Status changed from Fix Under Review to Pending Backport

#4 - 07/13/2016 02:01 PM - Abhishek Lekshmanan

- Status changed from Pending Backport to Fix Under Review

#5 - 08/08/2016 08:34 AM - Loic Dachary

- Backport changed from hammer, infernalis to hammer

infernalis is EOL

#6 - 10/13/2017 09:22 AM - Abhishek Lekshmanan

- Status changed from Fix Under Review to Resolved

both the backport versions are retired, closing
